
<!-- README.md is generated from README.Rmd. Please edit that file -->

# Hidden Markov Model (HMM) R Package Development

## Introduction

This project involves the development of an R package for Hidden Markov
Models (HMMs) in longitudinal data analysis. The package, named
`regmhmm`, incorporates features for flexible modeling, variable
selection using regularization techniques, and efficient computation
with the Expectation-Maximization (EM) algorithm.

## Features

- **Flexible Modeling:** Build HMMs and mixed HMMs for longitudinal data
  analysis.
- **Variable Selection:** Perform variable selection within HMMs using
  regularization.
- **Efficient Computation:** Utilize the Expectation-Maximization (EM)
  algorithm with coordinate descent for optimal computational
  performance.

## Installation

``` r
# Install the development version from GitHub:
devtools::install_github("HenryLeongStat/regmhmm")
```
